Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

131 lines (125 sloc) 5.745 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{riot-rails}
s.version = "0.2.0.pre"
s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Justin 'Gus' Knowlden"]
s.date = %q{2010-06-13}
s.description = %q{Riot specific test support for Rails apps. Protest the slow app.}
s.email = %q{gus@gusg.us}
s.extra_rdoc_files = [
"README.markdown"
]
s.files = [
".gitignore",
"CHANGELOG",
"MIT-LICENSE",
"README.markdown",
"Rakefile",
"VERSION",
"lib/riot/action_controller.rb",
"lib/riot/action_controller/context_macros/asserts_response.rb",
"lib/riot/action_controller/context_middleware.rb",
"lib/riot/action_controller/http_methods.rb",
"lib/riot/active_record.rb",
"lib/riot/active_record/assertion_macros.rb",
"lib/riot/active_record/context_middleware.rb",
"lib/riot/active_record/database_macros.rb",
"lib/riot/active_record/reflection_macros.rb",
"lib/riot/active_record/transactional_middleware.rb",
"lib/riot/active_record/validation_macros.rb",
"lib/riot/rails.rb",
"rails/init.rb",
"riot-rails.gemspec",
"test/action_controller/context_macros/asserts_response_test.rb",
"test/action_controller/context_middleware_test.rb",
"test/action_controller/delete_request_test.rb",
"test/action_controller/get_request_test.rb",
"test/action_controller/post_request_test.rb",
"test/action_controller/put_request_test.rb",
"test/action_controller/restful_delete_request_test.rb",
"test/action_controller/restful_get_request_test.rb",
"test/action_controller/restful_post_request_test.rb",
"test/action_controller/restful_put_request_test.rb",
"test/active_record/allowing_values_test.rb",
"test/active_record/attribute_is_invalid_test.rb",
"test/active_record/belongs_to_test.rb",
"test/active_record/context_middleware_test.rb",
"test/active_record/has_and_belongs_to_many_test.rb",
"test/active_record/has_database_index_on_test.rb",
"test/active_record/has_many_test.rb",
"test/active_record/has_one_test.rb",
"test/active_record/validates_length_of_test.rb",
"test/active_record/validates_presence_of_test.rb",
"test/active_record/validates_uniqueness_of_test.rb",
"test/rails_root/app/controllers/gremlins_controller.rb",
"test/rails_root/app/controllers/parties_controller.rb",
"test/rails_root/app/controllers/rooms_controller.rb",
"test/rails_root/app/views/rendered_templates/foo_bar.html.erb",
"test/rails_root/config/database.yml",
"test/rails_root/config/environment.rb",
"test/rails_root/config/routes.rb",
"test/rails_root/db/schema.rb",
"test/teststrap.rb",
"test/transactional_middleware_test.rb"
]
s.homepage = %q{http://github.com/thumblemonks/riot-rails}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.6}
s.summary = %q{Riot specific test support for Rails apps}
s.test_files = [
"test/action_controller/context_macros/asserts_response_test.rb",
"test/action_controller/context_middleware_test.rb",
"test/action_controller/delete_request_test.rb",
"test/action_controller/get_request_test.rb",
"test/action_controller/post_request_test.rb",
"test/action_controller/put_request_test.rb",
"test/action_controller/restful_delete_request_test.rb",
"test/action_controller/restful_get_request_test.rb",
"test/action_controller/restful_post_request_test.rb",
"test/action_controller/restful_put_request_test.rb",
"test/active_record/allowing_values_test.rb",
"test/active_record/attribute_is_invalid_test.rb",
"test/active_record/belongs_to_test.rb",
"test/active_record/context_middleware_test.rb",
"test/active_record/has_and_belongs_to_many_test.rb",
"test/active_record/has_database_index_on_test.rb",
"test/active_record/has_many_test.rb",
"test/active_record/has_one_test.rb",
"test/active_record/validates_length_of_test.rb",
"test/active_record/validates_presence_of_test.rb",
"test/active_record/validates_uniqueness_of_test.rb",
"test/rails_root/app/controllers/gremlins_controller.rb",
"test/rails_root/app/controllers/parties_controller.rb",
"test/rails_root/app/controllers/rooms_controller.rb",
"test/rails_root/config/environment.rb",
"test/rails_root/config/routes.rb",
"test/rails_root/db/schema.rb",
"test/teststrap.rb",
"test/transactional_middleware_test.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<riot>, [">= 0.11.0"])
s.add_runtime_dependency(%q<rack-test>, [">= 0.5.3"])
s.add_development_dependency(%q<activerecord>, [">= 3.0.0.beta3"])
s.add_development_dependency(%q<actionpack>, [">= 3.0.0.beta3"])
else
s.add_dependency(%q<riot>, [">= 0.11.0"])
s.add_dependency(%q<rack-test>, [">= 0.5.3"])
s.add_dependency(%q<activerecord>, [">= 3.0.0.beta3"])
s.add_dependency(%q<actionpack>, [">= 3.0.0.beta3"])
end
else
s.add_dependency(%q<riot>, [">= 0.11.0"])
s.add_dependency(%q<rack-test>, [">= 0.5.3"])
s.add_dependency(%q<activerecord>, [">= 3.0.0.beta3"])
s.add_dependency(%q<actionpack>, [">= 3.0.0.beta3"])
end
end
Jump to Line
Something went wrong with that request. Please try again.